`timescale 1 ns/ 1 ns

module top;
  
	logic reset;
	logic clk;

	/*Handshake na Entrada*/	
	logic  VALID_E;
	logic READY_E;


	/*Handshake na saida*/
	logic VALID_S;
	logic READY_S; 
	
	//Entrada
	logic [31:0]data_in;
	logic [2:0]code;
	
	logic[191:0]data_out;
		
	//output wire [31:0]parrayOut;
	Bcrypt ex(.*);
  
	initial begin
		clk = 1'b0;
		while(1'b1)begin
			#20
			clk = !clk; 
			//$display ("%d",clk);
		end
	end
  
	initial begin
		reset = 1'b0;
		#40
		reset = 1'b1;
	end
  
	initial begin
		VALID_E = 1'b0;
		READY_S = 1'b0;
		#40
		VALID_E = 1'b1;
		code = 3'd0;
		data_in = 5;//cost
		#40 //->80
		code = 3'd1;
		data_in = 32'h771288f0;
		#40 //->80
		code = 3'd2;
		data_in = 32'hfa247ffd;
		#40 //->80
		code = 3'd3;
		data_in = 32'hcec3f4de;
		#40 //->80
		code = 3'd4;
		data_in = 32'ha2861b85;
		#40 //->80
		code = 3'd5;
		data_in = 32'd112;
		#40 //->80
		code = 3'd5;
		data_in = 32'd97;
		#40 //->80
		code = 3'd5;
		data_in = 32'd115;
		#40 //->80
		code = 3'd5;
		data_in = 32'd115;
		#40 //->80
		code = 3'd5;
		data_in = 32'd119;
		#40 //->80
		code = 3'd5;
		data_in = 32'd111;
		#40 //->80
		code = 3'd5;
		data_in = 32'd114;
		#40 //->80
		code = 3'd5;
		data_in = 32'd100;
		#40 //->80
		code = 3'd6;
		data_in = 32'd0;
		#40 //->80
		VALID_E = 1'b0;
	end
  
	initial begin
		
		
	end
endmodule
